Bug 1292541 - Upgrading from 3.0 to 3.1 with a secured registry causes error with registry
Upgrading from 3.0 to 3.1 with a secured registry causes error with registry
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 12:49 EST by Ryan Howe
Modified: 2016-01-13 11:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 11:26:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-12-17 12:49:19 EST
Description of problem:Upgrading from 3.0 to 3.1 with a secured registry causes error with registry. 


docker registry 2015-12-15 19:33:57.452369 I | http: TLS handshake error from 10.1.2.1:53313: EOF



Version-Release number of selected component (if applicable): 3.1


How reproducible:
Have not reproduced


Steps to Reproduce:
1. Upgrade a 3.0 ose to 3.1 with a registry that is secured
2. openssl x509 -in /etc/origin/node/server.crt -text -noout | grep -A 1 "Subject Alternative Name" 

-- Shows only hostname of node

3. During upgrade certs were not remade 
4. Redeploy registry with 3.1 image



Actual results:
Error  docker registry 2015-12-15 19:33:57.452369 I | http: TLS handshake error from 10.1.2.1:53313: EOF

Expected results:
Should work as it did in 3.0.2


Additional info:

To fix we went through and removed the following 

$ oc volume dc/docker-registry --remove --name=registry-secret 
$ oc env dc/docker-registry REGISTRY_HTTP_TLS_CERTIFICATE-
$ oc env dc/docker-registry REGISTRY_HTTP_TLS_KEY-

Then added insecure registry back to the the /etc/sysconfig/docker
Comment 2 Anping Li 2016-01-08 05:41:35 EST
I have upgraded v3.0.2 with secured registry to both v3.1.0.4(Release Version) and (v3.1.1.0), and after upgrade the registry works fine. Maybe the error isn't caused by upgrade.
Comment 3 Anping Li 2016-01-13 03:18:44 EST
Ryan, QE can't reproduced this issue. Could you provide more information about this bug. How do you create security registry?  How do you upgrade from 3.0 to 3.1?
I see your set 'Have not reproduced'.  I am thinking that is caused by other component rather than 'upgrade"?

Note You need to log in before you can comment on or make changes to this bug.